Loading...
Searching...
No Matches
atom.h File Reference
`#include <openbabel/babelconfig.h>`
`#include <vector>`
`#include <string>`
`#include <openbabel/base.h>`
`#include <openbabel/residue.h>`
`#include <openbabel/math/vector3.h>`
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | OBAtom

## Namespaces

namespace | OpenBabel

## Macros

#define | OB_EXTERN extern
#define | OB_4RING_ATOM (1<<1)
#define | OB_3RING_ATOM (1<<2)
#define | OB_AROMATIC_ATOM (1<<3)
#define | OB_RING_ATOM (1<<4)
#define | OB_DONOR_ATOM (1<<7)
#define | OB_ACCEPTOR_ATOM (1<<8)
#define | SET_OR_UNSET_FLAG(X)
#define | OBATOM_TYPE_LEN 6

## Typedefs

typedef OBAtom | OBNodeBase
typedef std::vector< OBBond * >::iterator | OBBondIterator
typedef std::vector< OBAtom * >::iterator | OBAtomIterator

## Detailed Description

Handle atoms.

## Macro Definition Documentation

## OB_EXTERN

#define OB_EXTERN extern

Referenced by strncasecmp().

## OB_4RING_ATOM

#define OB_4RING_ATOM (1<<1)

Atom is in a 4-membered ring.

## OB_3RING_ATOM

#define OB_3RING_ATOM (1<<2)

Atom is in a 3-membered ring.

## OB_AROMATIC_ATOM

#define OB_AROMATIC_ATOM (1<<3)

Atom is aromatic.

Referenced by OBAtom::IsAromatic(), and OBAtom::SetAromatic().

## OB_RING_ATOM

#define OB_RING_ATOM (1<<4)

Atom is in a ring.

Referenced by OBAtom::IsInRing(), OBAtom::IsInRingSize(), and OBAtom::SetInRing().

## OB_DONOR_ATOM

#define OB_DONOR_ATOM (1<<7)

Atom is an electron donor.

## OB_ACCEPTOR_ATOM

#define OB_ACCEPTOR_ATOM (1<<8)

Atom is an electron acceptor.

## SET_OR_UNSET_FLAG

#define SET_OR_UNSET_FLAG | ( |  | X | ) |

Value:
if (value) SetFlag(X); \
else UnsetFlag(X);

Referenced by OBAtom::SetAromatic(), OBBond::SetAromatic(), OBMol::SetAromaticPerceived(), OBMol::SetAtomTypesPerceived(), OBMol::SetChainsPerceived(), OBMol::SetChiralityPerceived(), OBBond::SetClosure(), OBMol::SetClosureBondsPerceived(), OBMol::SetCorrectedForPH(), OBBond::SetHash(), OBMol::SetHybridizationPerceived(), OBMol::SetHydrogensAdded(), OBAtom::SetInRing(), OBBond::SetInRing(), OBMol::SetIsPatternStructure(), OBMol::SetIsReaction(), OBMol::SetLSSRPerceived(), OBMol::SetPartialChargesPerceived(), OBMol::SetPeriodicMol(), OBMol::SetRingAtomsAndBondsPerceived(), OBMol::SetRingTypesPerceived(), OBMol::SetSpinMultiplicityAssigned(), OBMol::SetSSSRPerceived(), OBBond::SetWedge(), and OBBond::SetWedgeOrHash().

## OBATOM_TYPE_LEN

#define OBATOM_TYPE_LEN 6

Referenced by OBTypeTable::Translate().